package net.minecraft.client.gui.screens;

import net.minecraft.network.chat.Component;
import net.minecraft.client.Options;

public class OptionsSubScreen extends Screen {
    protected final Screen lastScreen;
    protected final Options options;
    
    public OptionsSubScreen(final Screen dqs, final Options dmb, final Component mr) {
        super(mr);
        this.lastScreen = dqs;
        this.options = dmb;
    }
    
    @Override
    public void removed() {
        this.minecraft.options.save();
    }
    
    @Override
    public void onClose() {
        this.minecraft.setScreen(this.lastScreen);
    }
}
